# Maintainer: Future Linux Team <future_linux@163.com>

pkgname=coreutils
pkgver=9.1
pkgrel=2
pkgdesc="The basic file, shell and text manipulation utilities of the GNU operating system"
arch=('x86_64')
license=('GPL3')
groups=('base')
depends=('glibc' 'acl' 'attr' 'gmp' 'libcap' 'openssl')
source=(https://ftp.gnu.org/gnu/${pkgname}/${pkgname}-${pkgver}.tar.xz)
sha256sums=(61a1f410d78ba7e7f37a5a4f50e6d1320aca33375484a3255eddf17a38580423)

build() {
    cd ${pkgname}-${pkgver}

    ${configure}        \
	--with-openssl  \
	--enable-no-install-program=groups,hostname,kill,uptime

    make
}

package() {
    cd ${pkgname}-${pkgver}

    make DESTDIR=${pkgdir} install

    install -vdm755 ${pkgdir}/usr/sbin ${pkgdir}/usr/share/man/man8
    mv -v ${pkgdir}/usr/bin/chroot ${pkgdir}/usr/sbin
    mv -v ${pkgdir}/usr/share/man/man1/chroot.1 ${pkgdir}/usr/share/man/man8/chroot.8
    sed -i 's/"1"/"8"/' ${pkgdir}/usr/share/man/man8/chroot.8
}
